#include "DBDConditionFactory.h"
#include "UObject/ScriptInterface.h"
#include "GameplayTagContainer.h"
#include "Templates/SubclassOf.h"

class UIsPlayerPerformingInteraction;
class IConditionReceiver;
class UTimerElapsedCondition;
class UTimerObject;
class UDoesPerkHaveToken;
class UPerk;
class UImposedStatusEffectCondition;
class UStatusEffect;

UIsPlayerPerformingInteraction* UDBDConditionFactory::IsPlayerPerformingInteraction(TScriptInterface<IConditionReceiver> conditionReceiver, const FGameplayTagContainer& interactionSemantics)
{
	return NULL;
}

UTimerElapsedCondition* UDBDConditionFactory::HasTimerElapsedWhileConditionWasTrue(TScriptInterface<IConditionReceiver> conditionReceiver, UTimerObject* timer)
{
	return NULL;
}

UDoesPerkHaveToken* UDBDConditionFactory::DoesPerkHaveToken(TScriptInterface<IConditionReceiver> conditionReceiver, UPerk* perk)
{
	return NULL;
}

UImposedStatusEffectCondition* UDBDConditionFactory::CreateImposedStatusEffectCondition(TScriptInterface<IConditionReceiver> conditionReceiver, TSubclassOf<UImposedStatusEffectCondition> conditionType, TSubclassOf<UStatusEffect> classType)
{
	return NULL;
}

UDBDConditionFactory::UDBDConditionFactory()
{

}
